from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Pacman(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 89, 56
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_oval(self.translate([4.0, 1.0, 41.0, 37.0]), tags = self.tag, stipple= '', width= '2.0', outline= 'black', fill= 'red')
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)
        h = drawing.create_polygon(self.translate([21.0, 20.0, 42.0, 8.0, 42.0, 29.0, 42.0, 28.0]), tags = self.tag, stipple= '', width= '0.0', splinesteps= '12', outline= '', smooth= 0, fill= 'lightgrey')
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        h = drawing.create_oval(self.translate([25.0, 10.0, 25.0, 10.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        if self.semanticObject: drawText = self.semanticObject.num_marbles.toString(25,5)
        else: drawText = "<num_marbles>"
        h = drawing.create_text(self.translate([44.0, 49.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["num_marbles"] = h
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Pacman
